Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 2101)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -102,5 +102,5 @@
 
     PRIVATE
-    PUBLIC buoyancy, buoyancy_acc
+    PUBLIC buoyancy
 
     INTERFACE buoyancy
@@ -108,8 +108,4 @@
        MODULE PROCEDURE buoyancy_ij
     END INTERFACE buoyancy
-
-    INTERFACE buoyancy_acc
-       MODULE PROCEDURE buoyancy_acc
-    END INTERFACE buoyancy_acc
 
  CONTAINS
@@ -212,106 +208,4 @@
 
     END SUBROUTINE buoyancy
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE buoyancy_acc( var, wind_component )
-
-       USE arrays_3d,                                                          &
-           ONLY:  pt, pt_slope_ref, ref_state, tend
-
-       USE control_parameters,                                                 &
-           ONLY:  atmos_ocean_sign, cos_alpha_surface, g, message_string,      &
-                  pt_surface, sin_alpha_surface, sloping_surface
-
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxl, nxlg, nxlu, nxr,     &
-                  nxrg, nyn, nyng, nys, nysg, nzb, nzb_s_inner, nzt
-
-       USE kinds
-
-       USE pegrid
-
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i              !<
-       INTEGER(iwp) ::  j              !<
-       INTEGER(iwp) ::  k              !<
-       INTEGER(iwp) ::  wind_component !<
-       
-#if defined( __nopointer )
-       REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !<
-#else
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  var
-#endif
-
-
-       IF ( .NOT. sloping_surface )  THEN
-!
-!--       Normal case: horizontal surface
-          !$acc kernels present( nzb_s_inner, ref_state, tend, var )
-          !$acc loop
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-                !$acc loop independent vector
-                DO  k = nzb_s_inner(j,i)+1, nzt-1
-                   tend(k,j,i) = tend(k,j,i) + atmos_ocean_sign * g * 0.5_wp * &
-                          (                                                    &
-                             ( var(k,j,i)   - ref_state(k) )   / ref_state(k) + &
-                             ( var(k+1,j,i) - ref_state(k+1) ) / ref_state(k+1) &
-                          )
-                ENDDO
-             ENDDO
-          ENDDO
-          !$acc end kernels
-
-       ELSE
-!
-!--       Buoyancy term for a surface with a slope in x-direction. The equations
-!--       for both the u and w velocity-component contain proportionate terms.
-!--       Temperature field at time t=0 serves as environmental temperature.
-!--       Reference temperature (pt_surface) is the one at the lower left corner
-!--       of the total domain.
-          IF ( wind_component == 1 )  THEN
-
-             DO  i = nxlu, nxr
-                DO  j = nys, nyn
-                   DO  k = nzb_s_inner(j,i)+1, nzt-1
-                      tend(k,j,i) = tend(k,j,i) + g * sin_alpha_surface *      &
-                           0.5_wp * ( ( pt(k,j,i-1)         + pt(k,j,i)         ) &
-                                    - ( pt_slope_ref(k,i-1) + pt_slope_ref(k,i) ) &
-                                    ) / pt_surface
-                   ENDDO
-                ENDDO
-             ENDDO
-
-          ELSEIF ( wind_component == 3 )  THEN
-
-             DO  i = nxl, nxr
-                DO  j = nys, nyn
-                   DO  k = nzb_s_inner(j,i)+1, nzt-1
-                      tend(k,j,i) = tend(k,j,i) + g * cos_alpha_surface *      &
-                           0.5_wp * ( ( pt(k,j,i)         + pt(k+1,j,i)         ) &
-                                    - ( pt_slope_ref(k,i) + pt_slope_ref(k+1,i) ) &
-                                    ) / pt_surface
-                   ENDDO
-                ENDDO
-            ENDDO
-
-          ELSE
-
-             WRITE( message_string, * ) 'no term for component "',             &
-                                       wind_component,'"'
-             CALL message( 'buoyancy', 'PA0159', 1, 2, 0, 6, 0 )
-
-          ENDIF
-
-       ENDIF
-
-    END SUBROUTINE buoyancy_acc
 
 
